#
# spec file for package perl-App-CELL
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name App-CELL
Name:           perl-App-CELL
Version:        0.231
Release:        1.12
License:        BSD-3-Clause
Summary:        Configuration, Error-handling, Localization, and Logging
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SM/SMITHFARM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Next)
BuildRequires:  perl(File::ShareDir) >= 1
BuildRequires:  perl(File::ShareDir::Install) >= 0.11
BuildRequires:  perl(Log::Any)
BuildRequires:  perl(Log::Any::Adapter) >= 0.1
BuildRequires:  perl(Log::Any::Test)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Date::Format)
Requires:       perl(File::HomeDir)
Requires:       perl(File::Next)
Requires:       perl(File::ShareDir) >= 1
Requires:       perl(Log::Any)
Requires:       perl(Log::Any::Adapter) >= 0.1
Requires:       perl(Params::Validate)
Requires:       perl(Try::Tiny)
%{perl_requires}

%description
This is the top-level module of App::CELL, the Configuration,
Error-handling, Localization, and Logging framework for applications (or
scripts) written in Perl.

For details, read the POD in the App::CELL distro. For an introduction,
read App::CELL::Guide.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING.rst README.rst WISHLIST
%license LICENSE

%changelog
* Tue Jun 28 2022 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 0.231
  - MANIFEST.SKIP: add bootstrap.sh
  - bootstrap.sh: install cpanspec package
  0.230 2022-06-28 11:18 CEST
  - CONTRIBUTING.rst: add new file
  - bootstrap.sh: add new file and update README.rst
* Thu Feb 13 2020 <timueller+perl@suse.de>
- updated to 0.229
  see /usr/share/doc/packages/perl-App-CELL/Changes
  0.229 2020-02-12 12:13 CET
  - Qualify all calls to CORE::caller()
  - t/034-status-dump.t: use Test::Output
* Tue Feb 11 2020 Nathan Cutler <ncutler@suse.com>
- updated to 0.228
  see /usr/share/doc/packages/perl-App-CELL/Changes
* Mon Feb 10 2020 Nathan Cutler <ncutler@suse.com>
- updated to 0.225
  see /usr/share/doc/packages/perl-App-CELL/Changes
* Mon Feb 10 2020 Nathan Cutler <ncutler@suse.com>
- updated to 0.223
  see /usr/share/doc/packages/perl-App-CELL/Changes
* Wed Sep 14 2016 ncutler@suse.com
- updated to 0.222
  see /usr/share/doc/packages/perl-App-CELL/Changes
* Sat Sep 10 2016 ncutler@suse.com
- updated to 0.221
  see /usr/share/doc/packages/perl-App-CELL/Changes
* Sun Sep  4 2016 ncutler@suse.com
- add _service to automate Version increment in spec file
* Sun Sep  4 2016 ncutler@suse.com
- updated to 0.220
  see /usr/share/doc/packages/perl-App-CELL/Changes
* Fri Sep  2 2016 tampakrap@opensuse.org
- updated to 0.219
  see /usr/share/doc/packages/perl-App-CELL/Changes
* Thu Jul 30 2015 ncutler@suse.com
- add Params::Validate dependency
* Mon Jul 27 2015 ncutler@suse.com
- Eliminate File::Touch dependency
* Tue Apr 14 2015 ncutler@suse.com
- fix spec file
* Tue Apr 14 2015 ncutler@suse.com
- Update to 0.210
* Tue Apr  7 2015 ncutler@suse.com
- Update to 0.209
* Thu Feb 12 2015 ncutler@suse.com
- Update to 0.207
* Wed Feb 11 2015 ncutler@suse.com
- Update to 0.206
* Fri Jan 16 2015 ncutler@suse.com
- Update to 0.205
* Tue Dec 23 2014 ncutler@suse.com
- Update to 0.204
* Fri Nov 28 2014 ncutler@suse.com
- Update to 0.202
* Wed Nov  5 2014 ncutler@suse.com
- Update to 0.201
* Wed Oct 22 2014 ncutler@suse.com
- Update to 0.200
* Fri Oct 17 2014 ncutler@suse.com
- Update to 0.199
* Wed Oct 15 2014 ncutler@suse.com
- Update to 0.197
* Wed Oct 15 2014 ncutler@suse.com
- Update to 0.197
* Tue Aug 12 2014 ncutler@suse.com
- Update to 0.196
* Mon Aug 11 2014 ncutler@suse.com
- Update to 0.195
* Wed Jul 23 2014 ncutler@suse.com
- spec file fix for CI
* Wed Jul 23 2014 ncutler@suse.com
- require Log::Any::Adapter
* Wed Jul 23 2014 ncutler@suse.com
- require Data::Structure::Util
* Wed Jul 23 2014 ncutler@suse.com
- updated to 0.194
* Wed Jul 23 2014 ncutler@suse.com
- Update to 0.194
* Wed Jul 23 2014 ncutler@suse.com
- Update to 0.193
* Wed Jul 23 2014 ncutler@suse.com
- Update to 0.191
* Tue Jul 15 2014 ncutler@suse.com
- Update to 0.190
* Fri Jul 11 2014 ncutler@suse.com
- Update to 0.189
* Fri Jul 11 2014 ncutler@suse.com
- Update to 0.188
* Fri Jul 11 2014 ncutler@suse.com
- Update to 0.187
* Tue Jul  8 2014 ncutler@suse.com
- Update to 0.186
* Mon Jul  7 2014 ncutler@suse.com
- Update to 0.185
* Tue Jun 17 2014 ncutler@suse.com
- Update to 0.183
* Mon Jun 16 2014 ncutler@suse.com
- Update to 0.181
* Fri Jun 13 2014 ncutler@suse.com
- Update to 0.180
* Fri Jun 13 2014 ncutler@suse.com
- Update to 0.178
* Thu Jun 12 2014 ncutler@suse.com
- Update to 0.175
* Wed Jun 11 2014 ncutler@suse.com
- Update to 0.175
* Wed Jun 11 2014 ncutler@suse.com
- Update to
* Wed Jun 11 2014 ncutler@suse.com
- Update to
* Wed Jun 11 2014 ncutler@suse.com
- updated to 0.174
* Tue Jun 10 2014 ncutler@suse.com
- fix license field in spec file
* Tue Jun 10 2014 ncutler@suse.com
- updated to 0.172
* Tue Jun 10 2014 ncutler@suse.com
- updated to 0.171
* Mon Jun  9 2014 ncutler@suse.com
- updated to 0.164
* Fri Jun  6 2014 ncutler@suse.com
- updated to 0.159
* Wed Jun  4 2014 ncutler@suse.com
- updated to 0.158
  >>>>>>> ./perl-App-CELL.changes.r4
* Sun May 25 2014 ncutler@suse.com
- updated to 0.119
* Sat May 24 2014 ncutler@suse.com
- updated to 0.113
* Sat May 24 2014 ncutler@suse.com
- updated to 0.112
* Sat May 24 2014 ncutler@suse.com
- updated to 0.110
* Sat May 24 2014 ncutler@suse.com
- initial package 0.088
  * created by cpanspec 1.78.07
- set License to AGPL-3.0+
